function[GAMA]=ATIVIDADE(T,P,x)

global BD;

%Calcula as atividades a partir da teoria de Scatchard-Hildebrand 

R=1.987;
nc=length(x);

for k=1:nc
    dM1(k)=x(k)*BD.dd(k)*BD.Vl(k);
    dM2(k)=x(k)*BD.Vl(k);
end

dM=sum(dM1)/sum(dM2);

for i=1:nc
    LGAMA(i)=BD.Vl(i)/(R*T)*(BD.dd(i)-dM);
    GAMA(i)=exp(LGAMA(i));
end

