function[FUG]=FUGAC(P,T,y)

global BD;

R=82.05;   nc=length(y);  

for i=1:nc
    for j=1:nc
        Tcp(i,j)=sqrt(BD.Tc(i)*BD.Tc(j));
        wp(i,j)=(BD.w(i)+BD.w(j))/2;
        Zcp(i,j)=(BD.Zc(i)+BD.Zc(j))/2;
        Vcp(i,j)=(((BD.Vc(i))^(1/3)+(BD.Vc(j))^(1/3))/2)^3;
        Pcp(i,j)=Zcp(i,j)*R*Tcp(i,j)/Vcp(i,j);
        Trp(i,j)=T/Tcp(i,j);
        B0(i,j)=0.083-0.422/(Trp(i,j))^1.6;
        B1(i,j)=0.139-0.172/(Trp(i,j))^4.2;
        B01(i,j)=R*Tcp(i,j)/Pcp(i,j)*(B0(i,j)+wp(i,j)*B1(i,j));
    end
end

%calculo do Bmist

for i=1:nc
    for j=1:nc
        BMIS(i,j)=y(i)*y(j)*B01(i,j);
    end
end

BMIST=sum(BMIS);  BMIST=sum(BMIST);

%calculo da fugacidade

for i=1:nc
	for j=1:nc
        SOM(i)=B01(i,j)*y(j);
	end
end

for i=1:nc
    LFUG(i)=P/(R*T)*(2*SOM(i)-BMIST);
end

for i=1:nc
    FUG(i)=exp(LFUG(i));
end